Syncfusion Charts for WPF provides a perfect way to visualize data with a high level of user interactivity that focuses on development, productivity and simplicity of use. This package contains the following controls.

## List of Controls

* [Chart](https://www.syncfusion.com/wpf-controls/chart?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget)
* [Range Selector](https://www.syncfusion.com/wpf-controls/range-selector?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget)
* [Sparkline](https://www.syncfusion.com/wpf-controls/sparkline?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget)
* [Surface Chart](https://www.syncfusion.com/wpf-controls/surface-chart?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget)

## Chart

The WPF Charts control is optimized to visualize a large amount of data in an elegant way. Its rich feature set includes functionalities like data binding, multiple axes, legends, animations, data labels, annotations, trackballs, tooltips, gradients, technical indicators, and zooming.

### Key features

* SfChart supports 38 different types of series, ranging from simple bar series to complex financial charts. Each type of chart represents a unique style of representing data with more user friendly and greater UI visualization.
* Capable of rendering large amount of data within the few milliseconds (ms).
* Allows you to map data from the specified path, by achieving data binding concept.
* Interactive [zooming](https://help.syncfusion.com/wpf/sfchart/interactive-features?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget#zooming-and-panning) can be done with touch mode enabled that allows you to explore portions of large charts in more detail, with excellent performance.
* When you need more information about particular segment in a chart, a little mouse over on the series provides much more information by including tooltip, crosshair and track ball behavior.
* Supports 10 different types of technical indicators that determine financial, stock or economic trends by analyzing a set of recorded data.
* Supports multiple axes that can be stacked and spanned for multiple panes.
* SfChart provides support for rendering multiple series at same time, with options to compare and visualize two different chart series simultaneously.
* User friendly and provides various options for you to customize chart features like axis, labels, legends, series etc and visualize them accordingly.

## Range Selector

The WPF Range Selector Control provides an effective interface for selecting a smaller range from a large collection. It is commonly used in financial dashboards to filter the time range for which the data is visualized. The interface is also optimized for touch.

### Key features

* Supports interactive features such as zooming and scrolling through large data.
* Calculates smart labels when zooming.
* Allows users to select a particular region in large period of time.
* Gets the data from a selected region.

## Sparkline

The WPF Sparkline control is a tiny chart that helps present trends and variations associated with a measurement, such as average temperature or stock market activity, in a simple, lightweight, and condensed manner.

### Key features

* Data binding support.
* Range band support.
* Track ball support.
* Support 4 different types of sparkline.
* Animation support.
* Dynamic update.
* Marker support for line and area sparkline.
* Empty point support

## Surface Chart

The WPF Surface Chart control is a high-performance, visually stunning, three-dimensional surface chart. It shows a three-dimensional surface that connects a set of data points.

### Key features

* ColorBar represents a range of values.
* Built-in palettes.
* Supports gradient brushes.
* Perspective and Orthographic view.
* Contour and wireframe support.

## Related links
[Learn More about WPF UI Controls](https://www.syncfusion.com/wpf-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget)

[Documentation](https://help.syncfusion.com/wpf/overview?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget)

[Release History](https://help.syncfusion.com/wpf/release-notes/v19.4.0.40?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget)

[Online Demos](https://github.com/syncfusion/wpf-demos?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget)

[Contact Support](https://www.syncfusion.com/support/directtrac/incidents/newincident/?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget)

[Suggest a feature or report a bug](https://www.syncfusion.com/feedback/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget)

[Pricing](https://www.syncfusion.com/sales/products/wpf?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget)

## About Syncfusion
Founded in 2001 and headquartered in Research Triangle Park, N.C., Syncfusion has more than 26,000+ customers and more than 1 million users, including large financial institutions, Fortune 500 companies, and global IT consultancies.

Today, we provide 1600+ components and frameworks for web ([Blazor](https://www.syncfusion.com/blazor-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget), [ASP.NET Core](https://www.syncfusion.com/aspnet-core-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget), [ASP.NET MVC](https://www.syncfusion.com/aspnet-mvc-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget), [ASP.NET WebForms](https://www.syncfusion.com/jquery/aspnet-webforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget), [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget), [Angular](https://www.syncfusion.com/angular-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget), [React](https://www.syncfusion.com/react-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget), [Vue](https://www.syncfusion.com/vue-ui-components?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget), and [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget)), mobile ([Xamarin](https://www.syncfusion.com/xamarin-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget), [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget), and [JavaScript](https://www.syncfusion.com/javascript-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget)), and desktop development ([WinForms](https://www.syncfusion.com/winforms-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget), [WPF](https://www.syncfusion.com/wpf-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget), [WinUI](https://www.syncfusion.com/winui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget), [Flutter](https://www.syncfusion.com/flutter-widgets?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget) and [UWP](https://www.syncfusion.com/uwp-ui-controls?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget)). We provide ready-to-deploy enterprise software for dashboards, reports, data integration, and big data processing. Many customers have saved millions in licensing fees by deploying our software.


This is a commercial product and requires a paid license for possession or use. Syncfusion’s licensed software, including this component, is subject to the terms and conditions of [Syncfusion's EULA](https://www.syncfusion.com/eula/es/?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget). To acquire a license, you can purchase one [here]( https://www.syncfusion.com/sales/products?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget) or start a free 30-day trial [here](https://www.syncfusion.com/account/manage-trials/start-trials?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget).

___

[sales@syncfusion.com](mailto:sales@syncfusion.com?Subject=Syncfusion%20Charts%20WPF-%20NuGet) | [www.syncfusion.com](https://www.syncfusion.com?utm_source=nuget&utm_medium=listing&utm_campaign=wpf-charts-nuget) | Toll Free](1-888-9 DOTNET


